## vcmi-bin 0.82svn1781-0maemo1

=== config/requirements.txt ===
9
0
1 0
2 1
3 2
4 3
8 7
9 8
11 10 5
12 11 0 14 16
13 12 9
15 14
17 6
18 32
19 39
20 6
21 33
22 5
30 7
31 30
32 33
33 16 30
34 0 33
35 21
36 34
37 30
38 31
39 32
40 33
41 34
42 35
43 36
-1
1
1 0
2 1
3 2
4 3
8 7
9 8
11 10 5
12 11 0 14 16
13 12 9
15 14
18 31
19 38
21 17
22 18
24 34
25 41
30 7
31 30
32 30
33 32
34 32
35 33 34
36 35 1
37 30
38 31
39 32
40 33
41 34
42 35
43 36 2
-1
2
1 0
2 1
3 2
4 3
8 7
9 8
11 10 5
12 11 0 14 16
13 12 9
15 14
17 14
18 31
19 38
21 7
22 0
23 0
30 7
31 30
32 30
33 0 31 32
34 33
35 33
36 34 35
37 30
38 31
39 32
40 33 22
41 34
42 35
43 36
-1
3
1 0
2 1
3 2
4 3
8 7
9 8
11 10 5
12 11 0 14 16
13 12 9
15 14
18 30
19 37
21 7
22 8
23 0
24 32
25 39
30 7
31 30
32 30
33 31
34 33
35 0 33
36 34 35
37 30
38 31
39 32
40 33
41 34 1
42 35
43 36
-1
4
1 0
2 1
3 2
4 3
8 7
9 8
11 10 5
12 11 0 14 16
13 12 9
15 14
17 7
18 22 30
19 22 37
20 6
21 0
22 30
30 7
31 30
32 30
33 31
34 0 31
35 33 34
36 35
37 30
38 31
39 32
40 33 21
41 34
42 35
43 36
-1
5
1 0
2 1
3 2
4 3
8 7
9 8
11 10 5
12 11 0 14 16
13 12 9
15 14
17 14
18 30
19 37
21 0
30 7
31 30
32 30
33 31 32
34 33
35 33
36 1 34 35
37 30
38 31
39 32
40 33
41 34
42 35
43 36 2
-1
6
1 0
2 1
3 2
4 3
8 7
9 8
11 10 5
12 11 0 14 16
13 12 9
15 14
17 7
18 30
19 37
21 14
22 16
23 7
30 7
31 30
32 30
33 32
34 31
35 33
36 34
37 30
38 31 37
39 32 16
40 33 0
41 34
42 35
43 36
-1
7
1 0
2 1
3 2
4 3
8 7
9 8
11 10 5
12 11 0 14 16
13 12 9
15 14
17 11 21
18 30
19 37
21 7
22 21
30 7
31 30
32 30
33 32
34 31 32
35 31
36 33 35
37 30 5
38 31
39 32
40 33
41 34 15
42 35
43 36
-1
8
1 0
2 1
3 2
4 3
8 7
9 8
11 10 5
12 11 0 14 16
13 12 9
15 14
17 14
18 30
19 37
21 0
30 7
31 30 0
32 30 0
33 31
34 32
35 33 34
36 35
37 30
38 31
39 32
40 33 31
41 34
42 35 1
43 36
-1

## vcmi-bin 0.82svn1767-0maemo1

=== debian/changelog ===
vcmi-bin (0.82svn1767-0maemo1) fremantle; urgency=low

  * Ported to Maemo 5 (Fremantle).
  * Fixed dependencies to match Fremantle.
  * Fixed versioning scheme to match Maemo policy.
  * Modified some debian/ files to be optified and actually produce binary
    output.
  * Modified config/settings.txt to support the N900 resolution and make use
    of it.
  * Modified source to make VCMI runnable on the N900 (sett debian/patches)

 -- Daniel Spies <daniel.spies@fuceekay.com>  Wed, 21 Aug 2010 19:53:00 +0100

vcmi (0.80-1) unstable; urgency=low

  * New upstream release

 -- Johannes Schauer <josch@pyneo.org>  Sat, 10 Apr 2010 11:29:08 +0100

vcmi (0.74-1) unstable; urgency=low

  * Initial release

 -- frank zago <frank@zago.net>  Sat, 03 Oct 2009 12:28:04 -0500

=== debian/control ===
Source: vcmi-bin
Section: games
Priority: extra
Maintainer: Daniel Spies <daniel.spies@fuceekay.com>
XSBC-Original-Maintainer: frank zago <frank@zago.net>
Build-Depends: debhelper7 (>= 7), cdbs (>= 0.4.48), autotools-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libsdl-mixer1.2.8-dev (>= 1.2.8), zlib1g-dev, libavformat-dev, libswscale-dev, libboost1.37-dev | libboost1.38-dev | libboost1.42-dev, libboost-thread1.37-dev | libboost-thread1.38-dev | libboost-thread1.42-dev, libboost-system1.37-dev | libboost-system1.38-dev | libboost-system1.42-dev, libboost-filesystem1.37-dev | libboost-filesystem1.38-dev | libboost-filesystem1.42-dev, libboost-iostreams1.37-dev | libboost-iostreams1.38-dev | libboost-iostreams1.42-dev
Standards-Version: 3.8.0
Homepage: http://vcmi.eu
XSBC-Bugtracker: mailto:daniel.spies@fuceekay.com

Package: vcmi-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: vcmi (= ${binary:Version})
Description: A rewrite the Heroes of Might and Magic 3 engine (plain binaries)
 The purpose of VCMI project is to rewrite entire HOMM 3: WoG engine from
 scratch, giving it new and extended possibilities. It will help to support
 mods and new towns already made by fans but abandoned because of game code
 limitations.
 .
 In its current state it already supports maps of any sizes, higher
 resolutions and extended engine limits.

Package: vcmi-bin-dbg
Section: devel
Architecture: any
Depends: vcmi-bin (= ${Source-Version})
Description: Debug symbols for the VCMI Heroes 3 engine
 The purpose of VCMI project is to rewrite entire HOMM 3: WoG engine from
 scratch, giving it new and extended possibilities. It will help to support
 mods and new towns already made by fans but abandoned because of game code
 limitations.
 .
 In its current state it already supports maps of any sizes, higher
 resolutions and extended engine limits.

Package: vcmi-doc
Architecture: all
Section: doc
Description: documentation for vcmi
 The purpose of VCMI project is to rewrite entire HOMM 3: WoG engine from
 scratch, giving it new and extended possibilities. It will help to support
 mods and new towns already made by fans but abandoned because of game code
 limitations.
 .
 In its current state it already supports maps of any sizes, higher
 resolutions and extended engine limits.

## vcmi-bin 0.82svn1767-0maemo2

=== debian/changelog ===
vcmi-bin (0.82svn1767-0maemo2) fremantle; urgency=low

  * Fixed dependency problem with libsdl-mixer1.2.
  * Fixed missing binaries after installation.

 -- Daniel Spies <daniel.spies@fuceekay.com>  Sun, 22 Aug 2010 4:40:00 +0100

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt --bindir=/usr/bin --libdir=/usr/lib --datadir=/opt
DEB_BUILD_OPTIONS := nostrip, noopt
DEB_DH_STRIP_ARGS := --dbg-package=vcmi-bin-dbg

## vcmi-bin 0.82svn1767-0maemo3

=== debian/changelog ===
vcmi-bin (0.82svn1767-0maemo3) fremantle; urgency=low

  * Optified package
  * Stripped binaries

 -- Daniel Spies <daniel.spies@fuceekay.com>  Sun, 22 Aug 2010 23:27:00 +0100

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/usr --bindir=/usr/bin --libdir=/usr/lib
#DEB_BUILD_OPTIONS := nostrip, noopt
DEB_DH_STRIP_ARGS := --dbg-package=vcmi-bin-dbg

## vcmi-bin 0.82svn1767-0maemo4

=== debian/changelog ===
vcmi-bin (0.82svn1767-0maemo4) fremantle; urgency=low

  * Bumped version

 -- Daniel Spies <daniel.spies@fuceekay.com>  Mon, 23 Aug 2010 01:05:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Daniel Spies <daniel.spies@fuceekay.com>
 XSBC-Original-Maintainer: frank zago <frank@zago.net>
-Build-Depends: debhelper7 (>= 7), cdbs (>= 0.4.48), autotools-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libsdl-mixer1.2.8-dev (>= 1.2.8), zlib1g-dev, libavformat-dev, libswscale-dev, libboost1.37-dev | libboost1.38-dev | libboost1.42-dev, libboost-thread1.37-dev | libboost-thread1.38-dev | libboost-thread1.42-dev, libboost-system1.37-dev | libboost-system1.38-dev | libboost-system1.42-dev, libboost-filesystem1.37-dev | libboost-filesystem1.38-dev | libboost-filesystem1.42-dev, libboost-iostreams1.37-dev | libboost-iostreams1.38-dev | libboost-iostreams1.42-dev
+Build-Depends: debhelper7 (>= 7), cdbs (>= 0.4.48), autotools-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libsdl-mixer1.2-dev (>= 1.2.6), zlib1g-dev, libavformat-dev, libswscale-dev, libboost1.37-dev | libboost1.38-dev | libboost1.42-dev, libboost-thread1.37-dev | libboost-thread1.38-dev | libboost-thread1.42-dev, libboost-system1.37-dev | libboost-system1.38-dev | libboost-system1.42-dev, libboost-filesystem1.37-dev | libboost-filesystem1.38-dev | libboost-filesystem1.42-dev, libboost-iostreams1.37-dev | libboost-iostreams1.38-dev | libboost-iostreams1.42-dev, maemo-optify
 Standards-Version: 3.8.0
 Homepage: http://vcmi.eu
 XSBC-Bugtracker: mailto:daniel.spies@fuceekay.com

## vcmi-bin 0.82svn1767-0maemo5

=== debian/changelog ===
vcmi-bin (0.82svn1767-0maemo5) fremantle; urgency=low

  * Optified package manually.

 -- Daniel Spies <daniel.spies@fuceekay.com>  Mon, 23 Aug 2010 22:15:00 +0100

## vcmi-bin 0.82svn1775-0maemo1

=== debian/changelog ===
vcmi-bin (0.82svn1775-0maemo1) fremantle; urgency=low

  * New upstream release
  * Patch by Tow to enable video playback
  * Scrolling implemented by Tow dragon

 -- Daniel Spies <daniel.spies@fuceekay.com>  Wed, 25 Aug 2010 12:53:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Daniel Spies <daniel.spies@fuceekay.com>
 XSBC-Original-Maintainer: frank zago <frank@zago.net>
-Build-Depends: debhelper7 (>= 7), cdbs (>= 0.4.48), autotools-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libsdl-mixer1.2-dev (>= 1.2.6), zlib1g-dev, libavformat-dev, libswscale-dev, libboost1.37-dev | libboost1.38-dev | libboost1.42-dev, libboost-thread1.37-dev | libboost-thread1.38-dev | libboost-thread1.42-dev, libboost-system1.37-dev | libboost-system1.38-dev | libboost-system1.42-dev, libboost-filesystem1.37-dev | libboost-filesystem1.38-dev | libboost-filesystem1.42-dev, libboost-iostreams1.37-dev | libboost-iostreams1.38-dev | libboost-iostreams1.42-dev, maemo-optify
+Build-Depends: debhelper7 (>= 7), cdbs (>= 0.4.48), autotools-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libsdl-mixer1.2-dev (>= 1.2.6), zlib1g-dev, libavformat-dev, libswscale-dev, libboost1.37-dev | libboost1.38-dev | libboost1.42-dev, libboost-thread1.37-dev | libboost-thread1.38-dev | libboost-thread1.42-dev, libboost-system1.37-dev | libboost-system1.38-dev | libboost-system1.42-dev, libboost-filesystem1.37-dev | libboost-filesystem1.38-dev | libboost-filesystem1.42-dev, libboost-iostreams1.37-dev | libboost-iostreams1.38-dev | libboost-iostreams1.42-dev
 Standards-Version: 3.8.0
 Homepage: http://vcmi.eu
 XSBC-Bugtracker: mailto:daniel.spies@fuceekay.com

## vcmi-bin 0.82svn1781-0maemo1

=== debian/changelog ===
vcmi-bin (0.82svn1781-0maemo1) fremantle; urgency=low

  * New upstream release
  * Finished 16bpp support (Tow)
  * Imprvend scrolling (Tow dragon)

 -- Daniel Spies <daniel.spies@fuceekay.com>  Fri, 27 Aug 2010 12:17:00 +0100

=== .pc/install.patch/debian/control ===
Source: vcmi
Section: games
Priority: extra
Maintainer: frank zago <frank@zago.net>
Build-Depends: debhelper (>= 7), cdbs (>= 0.4.48), autotools-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libsdl-mixer1.2-dev (>= 1.2.8), zlib1g-dev, libavformat-dev, libswscale-dev, libboost1.37-dev | libboost1.38-dev | libboost1.42-dev, libboost-thread1.37-dev | libboost-thread1.38-dev | libboost-thread1.42-dev, libboost-system1.37-dev | libboost-system1.38-dev | libboost-system1.42-dev, libboost-filesystem1.37-dev | libboost-filesystem1.38-dev | libboost-filesystem1.42-dev, libboost-iostreams1.37-dev | libboost-iostreams1.38-dev | libboost-iostreams1.42-dev
Standards-Version: 3.8.0
Homepage: http://vcmi.eu

Package: vcmi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A rewrite the Heroes of Might and Magic 3 engine
 The purpose of VCMI project is to rewrite entire HOMM 3: WoG engine from
 scratch, giving it new and extended possibilities. It will help to support
 mods and new towns already made by fans but abandoned because of game code
 limitations.
 .
 In its current state it already supports maps of any sizes, higher
 resolutions and extended engine limits.

Package: vcmi-doc
Architecture: all
Section: doc
Description: documentation for vcmi
 The purpose of VCMI project is to rewrite entire HOMM 3: WoG engine from
 scratch, giving it new and extended possibilities. It will help to support
 mods and new towns already made by fans but abandoned because of game code
 limitations.
 .
 In its current state it already supports maps of any sizes, higher
 resolutions and extended engine limits.

=== .pc/install.patch/debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt --bindir=/opt/vcmi/bin --libdir=/opt/vcmi/lib --datadir=/opt
#DEB_BUILD_OPTIONS := nostrip, noopt
DEB_DH_STRIP_ARGS := --dbg-package=vcmi-bin-dbg

## vcmi-bin 0.84svn2018-0maemo0

=== debian/changelog ===
vcmi-bin (0.84svn2018-0maemo0) fremantle; urgency=low

  * New upstream release
  * New patch policy

 -- Daniel Spies <daniel.spies@fuceekay.com>  Sun, 06 Mar 2011 13:33:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Daniel Spies <daniel.spies@fuceekay.com>
 XSBC-Original-Maintainer: frank zago <frank@zago.net>
-Build-Depends: debhelper7 (>= 7), cdbs (>= 0.4.48), autotools-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libsdl-mixer1.2-dev (>= 1.2.6), zlib1g-dev, libavformat-dev, libswscale-dev, libboost1.37-dev | libboost1.38-dev | libboost1.42-dev, libboost-thread1.37-dev | libboost-thread1.38-dev | libboost-thread1.42-dev, libboost-system1.37-dev | libboost-system1.38-dev | libboost-system1.42-dev, libboost-filesystem1.37-dev | libboost-filesystem1.38-dev | libboost-filesystem1.42-dev, libboost-iostreams1.37-dev | libboost-iostreams1.38-dev | libboost-iostreams1.42-dev
+Build-Depends: debhelper (>= 7), cdbs (>= 0.4.48), autotools-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libsdl-mixer1.2-dev (>= 1.2.8), zlib1g-dev, libavformat-dev, libswscale-dev, libboost1.42-all-dev, quilt
 Standards-Version: 3.8.0
 Homepage: http://vcmi.eu
 XSBC-Bugtracker: mailto:daniel.spies@fuceekay.com
@@ -11,8 +11,7 @@
 Package: vcmi-bin
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: vcmi (= ${binary:Version})
-Description: A rewrite the Heroes of Might and Magic 3 engine (plain binaries)
+Description: A rewrite the Heroes of Might and Magic 3 engine
  The purpose of VCMI project is to rewrite entire HOMM 3: WoG engine from
  scratch, giving it new and extended possibilities. It will help to support
  mods and new towns already made by fans but abandoned because of game code

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,6 @@
 DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt --bindir=/opt/vcmi/bin --libdir=/opt/vcmi/lib --datadir=/opt
 #DEB_BUILD_OPTIONS := nostrip, noopt
 DEB_DH_STRIP_ARGS := --dbg-package=vcmi-bin-dbg
+
+#override_dh_auto_configure:
+#	dh_auto_configure -- --disable-debug

## vcmi-bin 0.86dsvn2473-0maemo0

=== debian/changelog ===
vcmi-bin (0.86dsvn2473-0maemo0) fremantle; urgency=low

  * New upstream release

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Th, 27 Mar 2012 13:33:00 +0100

## vcmi-bin 0.86dsvn2473-0maemo1

=== debian/changelog ===
vcmi-bin (0.86dsvn2473-0maemo1) fremantle; urgency=low

  * New upstream release

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Th, 27 Mar 2012 13:33:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Daniel Spies <daniel.spies@fuceekay.com>
 XSBC-Original-Maintainer: frank zago <frank@zago.net>
-Build-Depends: debhelper (>= 7), cdbs (>= 0.4.48), autotools-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libsdl-mixer1.2-dev (>= 1.2.8), zlib1g-dev, libavformat-dev, libswscale-dev, libboost1.42-all-dev, quilt
+Build-Depends: debhelper (>= 5), cdbs (>= 0.4.48), autotools-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libsdl-mixer1.2-dev (>= 1.2.8), zlib1g-dev, libavformat-dev, libswscale-dev, libboost1.42-all-dev, quilt
 Standards-Version: 3.8.0
 Homepage: http://vcmi.eu
 XSBC-Bugtracker: mailto:daniel.spies@fuceekay.com

=== debian/rules ===
--- 
+++ 
@@ -6,5 +6,5 @@
 #DEB_BUILD_OPTIONS := nostrip, noopt
 DEB_DH_STRIP_ARGS := --dbg-package=vcmi-bin-dbg
 
-#override_dh_auto_configure:
-#	dh_auto_configure -- --disable-debug
+override_dh_auto_configure:
+	dh_auto_configure -- --disable-debug
